Skip to main content
PATCH
Update Section Handler

Headers

authorization
string | null

Path Parameters

section_id
string<uuid>
required

Cookies

ks_uat
string | null

Body

application/json

Request to update a section.

name
string | null

New section name (can contain any characters)

Required string length: 1 - 255
page_number
integer | null

New page number (must be > 0)

prev_sibling_path_id
string<uuid> | null

Move after this sibling PathPart ID

move_to_head
boolean
default:false

Set to true to move to head of sibling list. This is needed since prev_sibling_path_id = None means no update

parent_path_part_id
string<uuid> | null

Reparent to this PathPart ID (must be DOCUMENT_VERSION or SECTION in the same document version)

Response

Successful Response

Section response model.

id
string<uuid>
required

Section ID

path_part_id
string<uuid>
required

PathPart ID

name
string
required

Section name

parent_path_id
string<uuid>
required

Parent PathPart ID

materialized_path
string
required

Full materialized path from root

system_managed
boolean
required

Whether this section is system-managed

tenant_id
string<uuid>
required

Tenant ID

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

page_number
integer | null

Page number in source document

prev_sibling_path_id
string<uuid> | null

Previous sibling PathPart ID

next_sibling_path_id
string<uuid> | null

Next sibling PathPart ID

system_metadata
SectionSystemMetadata · object

System-managed metadata (statistics, etc.)